//////////////////////////////////////////////////
//billard04 im Simulationskapitel
/////////////////////////////////////////////////

ArrayList<Kugel> kugeln;

float friction = 0.995;
float ballGeschw = 20;

void setup() {
  size(1000, 500, P3D);
  kugeln = new ArrayList<Kugel>();
  kugeln.add(new Kugel(new PVector(100, 250),  30, new PVector(0, 0), color(255))); //weiße Kugel
  kugeln.add(new Kugel(new PVector(300, 280), 30, new PVector(0, 0), color(0, 0, 255)));
  kugeln.add(new Kugel(new PVector(300, 220), 30, new PVector(0, 0), color(255, 255, 0)));
  kugeln.add(new Kugel(new PVector(360, 190), 30, new PVector(0, 0), color(255, 0, 255)));
  kugeln.add(new Kugel(new PVector(360, 250), 30, new PVector(0, 0), color(0, 255, 255)));
  kugeln.add(new Kugel(new PVector(360, 310), 30, new PVector(0, 0), color(255, 0, 0)));
  kugeln.add(new Kugel(new PVector(420, 160), 30, new PVector(0, 0), color(186, 114, 101)));//braune Kugel
  kugeln.add(new Kugel(new PVector(420, 280), 30, new PVector(0, 0), color(56, 186, 52))); //grüne Kugel
  kugeln.add(new Kugel(new PVector(420, 220), 30, new PVector(0, 0), color(242, 114, 26)));//orange Kugel
  kugeln.add(new Kugel(new PVector(420, 340), 30, new PVector(0, 0), color(65, 134, 186)));//blaue Kugel
}


void mouseClicked() {
  if (mouseButton == LEFT) {  
    kugeln.get(0).setPos(new PVector(mouseX, mouseY));
    kugeln.get(0).setGeschw(new PVector(0, 0));
  } else { 
    PVector geschw = new PVector(mouseX-kugeln.get(0).getPos().x, mouseY-kugeln.get(0).getPos().y); 
    geschw.normalize();
    geschw.mult(ballGeschw);
    kugeln.get(0).setGeschw(geschw);
  }
}

void draw() {  
  background(0,120,0);
  lights();
  for (Kugel b : kugeln) b.setUpdated(false);
  for (Kugel b : kugeln) {
    b.aktualiseren();
    b.display();
    b.pruefeKollisionRand();
    b.pruefeKollisionMitAnderenKugeln();
  }
}